%define oname openAV-Luppp

Name:       luppp
Version:    1.1.1
Release:    %mkrel 1
Group:      Sound/Mixers
Summary:    Live performance mixing tool
License:    GPLv3
URL:        http://openavproductions.com/Luppp
Source0:    https://github.com/openAVproductions/openAV-Luppp/archive/release-%{version}.tar.gz
Source1:    luppp.svg
Source2:    luppp.desktop

BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(liblo)
BuildRequires: pkgconfig(ntk)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(samplerate)


%description
Luppp is a music creation tool, intended for live use. It focuses on
real time processing and a fast intuitive workflow. It uses Jack
for audio output.

%prep
%setup -q -n %{oname}-release-%{version}
sed -i 's|SET(CMAKE_CXX_FLAGS ".*")|SET(CMAKE_CXX_FLAGS "%{optflags}")|' src/CMakeLists.txt
sed -i 's|SET(CMAKE_C_FLAGS ".*")|SET(CMAKE_C_FLAGS "%{optflags}")|' src/CMakeLists.txt

%build
echo '#define GIT_VERSION "%{version}-%{release}"' > src/version.hxx
%cmake -DRELEASE_BUILD=1 
%make_build

%install
install -p -D build/src/luppp %{buildroot}%{_bindir}/luppp
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -av resources/controllers %{buildroot}%{_datadir}/%{name}/
cp -av src/resources/luppp.prfs %{buildroot}%{_datadir}/%{name}/
install -p -Dm0644 %SOURCE1 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/luppp.svg

desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ %{SOURCE2}

%files
%{_bindir}/luppp
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/applications/*.desktop
%doc LICENSE CHANGELOG README.md 


%changelog
* Fri May 05 2017 animtim <animtim> 1.1.1-1.mga6
+ Revision: 1099130
- add group
- clean spec
- fix buildrequires
- add missing mkrel
- imported package luppp

